org.bouncycastle.crypto.generators

## Class RSAKeyPairGenerator

- java.lang.Object
- - org.bouncycastle.crypto.generators.RSAKeyPairGenerator

- All Implemented Interfaces:
    AsymmetricCipherKeyPairGenerator

      public class RSAKeyPairGenerator
      extends java.lang.Object
      implements AsymmetricCipherKeyPairGenerator

  an RSA key pair generator.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSAKeyPairGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.math.BigInteger` | `chooseRandomPrime(int bitlength, java.math.BigInteger e, java.math.BigInteger sqrdBound)` Choose a random prime value for use with RSA
    `AsymmetricCipherKeyPair` | `generateKeyPair()` return an AsymmetricCipherKeyPair containing the generated keys.
    `void` | `init(KeyGenerationParameters param)` intialise the key pair generator.
    `protected boolean` | `isProbablePrime(java.math.BigInteger x)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSAKeyPairGenerator

          public RSAKeyPairGenerator()

  - ### Method Detail

    - #### init

          public void init(KeyGenerationParameters param)

      Description copied from interface: `AsymmetricCipherKeyPairGenerator`
      intialise the key pair generator.
      Specified by:
        `init` in interface `AsymmetricCipherKeyPairGenerator`
      Parameters:
        `param` - the parameters the key pair is to be initialised with.

    - #### generateKeyPair

          public AsymmetricCipherKeyPair generateKeyPair()

      Description copied from interface: `AsymmetricCipherKeyPairGenerator`
      return an AsymmetricCipherKeyPair containing the generated keys.
      Specified by:
        `generateKeyPair` in interface `AsymmetricCipherKeyPairGenerator`
      Returns:
        an AsymmetricCipherKeyPair containing the generated keys.

    - #### chooseRandomPrime

          protected java.math.BigInteger chooseRandomPrime(int bitlength,
                                                           java.math.BigInteger e,
                                                           java.math.BigInteger sqrdBound)

      Choose a random prime value for use with RSA
      Parameters:
        `bitlength` - the bit-length of the returned prime
        `e` - the RSA public exponent
      Returns:
        A prime p, with (p-1) relatively prime to e

    - #### isProbablePrime

          protected boolean isProbablePrime(java.math.BigInteger x)